.app.koboldworks.data-inspector-editor {
	min-width: 480px;
	min-height: 220px;

	form {
		display: flex;
		flex-direction: column;
		gap: 3px;

		label {
			flex: 0;
		}

		> .path {
			input {
				flex: 0;
			}
		}

		> .path,
		> .type,
		> .buttons {
			display: flex;
			flex-direction: row;
			flex: 0;

			> label {
				flex: 0 4em;
			}

			> input {
				flex: 1 16em;
			}

			> * {
				flex: 1 50%;
			}

			button {
				width: unset;
			}
		}

		.value {
			flex: 1 100%;
			display: flex;
			flex-direction: column;
			height: 100%;

			align-items: center;

			textarea {
				max-width: 100%;
				min-width: 100%;
				min-height: 1rem;
				height: 100%;
			}

			.editor {
				height: 100%;
				width: 100%;
				flex: 1 100%;
				display: flex;
			}
		}

		.warning.token {
			text-align: center;
		}
	}
}
